# $Id: csmash.spec,v 1.3 2003/04/14 16:19:26 dude Exp $

%define desktop_vendor freshrpms

Summary: A 3D tabletennis game.
Name: csmash
Version: 0.6.5
Release: fr1
License: GPL
Group: Amusements/Games
Source: http://prdownloads.sourceforge.net/cannonsmash/%{name}-%{version}.tar.gz
URL: http://cannonsmash.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: Mesa, libjpeg, gtk+ >= 1.2.0
Requires: SDL >= 1.2.0, SDL_mixer, SDL_image
BuildRequires: Mesa-devel, libjpeg-devel, gtk+-devel >= 1.2.0
BuildRequires: SDL-devel >= 1.2.0, SDL_mixer-devel, SDL_image-devel
BuildRequires: desktop-file-utils

%description
CannonSmash is a 3D tabletennis game. The goal of this project is to 
represent various strategy of tabletennis on computer game. 
This program requires OpenGL and SDL. If your machine doesn't have 3D
accelaration video card, this program runs very slowly.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall
%find_lang %{name}

# Create the system menu entry
cat > %{name}.desktop << EOF
[Desktop Entry]
Name=Cannon Smash
Comment=%{summary}
Exec=%{name}
Icon=
Terminal=0
Type=Application
EOF

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  --add-category X-Red-Hat-Extra                \
  --add-category Application                    \
  --add-category Games                          \
  %{name}.desktop

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING CREDITS ChangeLog README README.en
%{_bindir}/%{name}
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%{_datadir}/games/%{name}

%changelog
* Mon Apr 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.5.

* Sat Feb  9 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

